<?php
function disponibilidad(){
	$rs = new xajaxResponse();
	$est = new Estacionamiento();
	$rs->script('$("#disponibilidad").removeClass("success").removeClass("alert");');
	if($est->disponibilidad()){
		if($_SESSION['usuario']['disponibilidad']=='Disponible'){
			$rs->script('$("#disponibilidad").addClass("success");');
			$rs->assign('disponibilidad2','style.color','#66DA25');
			$rs->assign('disponibilidad2','innerHTML','Disponible');
		}else{
			$rs->script('$("#disponibilidad").addClass("alert");');
			$rs->assign('disponibilidad2','style.color','#D31F05');
			$rs->assign('disponibilidad2','innerHTML','No disponible');
		}
	}else{
		$rs->alert('Ocurrió un error al actualizar la disponibilidad del estacionamiento.');
	}
	return $rs;
}

// $xajax->configure('debug', true);
// $xajax->configure('errorHandler',true);
// $xajax->configure('logFile','xajax_error_log.log');
$xajax->register(XAJAX_FUNCTION,'disponibilidad');
?>